//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class mountain
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public mountain()
        {
            this.ass_mountaincountry = new HashSet<ass_mountaincountry>();
            this.ass_mountainregion = new HashSet<ass_mountainregion>();
            this.mntn_dbpedia = new HashSet<mntn_dbpedia>();
            this.mntn_image = new HashSet<mntn_image>();
            this.mntn_translate = new HashSet<mntn_translate>();
            this.route = new HashSet<route>();
            this.user_wishlist = new HashSet<user_wishlist>();
        }
    
        public int id { get; set; }
        public string mntn_name { get; set; }
        public string mntn_description { get; set; }
        public Nullable<float> mntn_latitude { get; set; }
        public Nullable<float> mntn_longitude { get; set; }
        public Nullable<short> mntn_altitude { get; set; }
        public Nullable<int> mntnRange_id { get; set; }
        public Nullable<int> mntnGroup_id { get; set; }
        public string mntn_imageUrl { get; set; }
        public string mntn_firstAscent { get; set; }
        public Nullable<int> stone_id { get; set; }
        public System.DateTime mntn_dateIns { get; set; }
        public Nullable<System.DateTime> mntn_dateMod { get; set; }
        public bool mntn_status { get; set; }
        public short mntn_ranking { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ass_mountaincountry> ass_mountaincountry { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ass_mountainregion> ass_mountainregion { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mntn_dbpedia> mntn_dbpedia { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mntn_image> mntn_image { get; set; }
        public virtual mntn_mountaingroup mntn_mountaingroup { get; set; }
        public virtual mntn_mountainrange mntn_mountainrange { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<mntn_translate> mntn_translate { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route> route { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<user_wishlist> user_wishlist { get; set; }
    }
}
